html, body {
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}

* {
    box-sizing: border-box;
}

section {
    min-height: 100vh;
    width: 100%;

    background-color: var(--main-white);
    margin: 0;
    padding: 0;
}

:root {
    --main-yellow: #ffff10;
    --main-white: #faf8f8;
    --off-white: #f5f0f0;
    --header-main: #333;
    --text-main: #535353;

    --fs-h1: clamp(2.4rem, 6vw, 3.5rem);
    --fs-h2: clamp(2rem, 4vw, 2.4rem);
    --fs-h3: clamp(1.6rem, 4vw, 1.8rem);
    --fs-h4: clamp(1.3rem, 4vw, 1.6rem);
    --fs-p: clamp(1rem, 2vw, 1.2rem);

    --ff-header: 'fraunces', serif;
    --ff-body: 'inter', sans-serif;
}

#tipsy .container, #broadway .container, .footer-container, .container, .process-container, .faq-container, .featured-image {
    display: flex;
    flex-direction: column;
    gap: 50px;
    align-items: center;
    justify-content: center;
    max-width: 80%;
    margin: 0 auto;
}

section:not(#hero):nth-child(odd) {
    background-color: var(--main-white);
}
section:not(#hero):nth-child(even) {
    background-color: var(--off-white);
}

p {
    font-size: var(--fs-p);
    font-family: var(--ff-body);
    color: var(--text-main);
    margin: 0;
    line-height: 1.6;
}

li {
    font-size: var(--ff-body);
    font-family: var(--ff-body);
    color: var(--text-main);
    margin: 0;
    padding: 0;
}

h1 {
    font-size: var(--fs-h1);
    font-family: var(--ff-header);
    font-weight: bold;
    color: var(--header-main);
    max-width: clamp(0%, 70vw, 80%);
    margin: 0;
}

h2 {
    font-size: var(--fs-h2);
    font-family: var(--ff-header);
    font-weight: 700;
    color: var(--header-main);
    text-align: center;
    padding: 75px 0;
    margin: 0 auto;
}

#packages-page h2 {
    padding-bottom: 20px;
}

#packages-page .final-header {
    padding-bottom: 75px;
}

h3 {
    font-size: var(--fs-h3);
    font-family: var(--ff-header);
    color: var(--header-main);
    margin: 0 0 20px 0;
}

#hero {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0 40px;
}

#hero p {
    max-width: none;
    text-align: left;
    margin-bottom: 50px;
}

.mobile-only {
    display: none !important;
}

#packages {
    display: flex;
    flex-direction: column;
    scroll-margin-top: -40px;
    padding-bottom: 75px;
    background-color: var(--off-white);
}

.package-container {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    gap: 24px;

    max-width: 90%;
    margin: 0 auto;
}

.package-container .package-card {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 500px;
    width: 100%;
    
    overflow: hidden;
    padding: 20px 40px;
    transition: all 0.3s ease;
    border-radius: 14px;
    border: 3px solid var(--text-main);
    box-shadow: 5px 10px 24px rgba(0, 0, 0, 0.2);
    background-color: var(--main-white) !important;
}

.package-card .number {
    font-size: 0.8rem;
    font-family: var(--ff-body);
    opacity: 0.6;
}

.package-card ul {
    display: flex;
    flex-direction: column;
    gap: 20px !important;
    margin: 0;
    padding: 0 0 40px 20px;
}

.package-card ul li {
    margin: 0;
    padding: 0;
    list-style-type: disc;
    line-height: 1.5;
}

#packages .subtitle {
    margin: 75px auto;
    max-width: 70%;
    text-align: center;
}

#final .subtitle {
    max-width: 70%;
    margin: 0 auto 50px auto;
    text-align: center;   
}

#process {
    background-color: var(--main-white);
    padding-bottom: 75px;
}

.process-container {
    gap: 90px !important;
}

.process-card {
    max-width: 850px;
    display: flex;
    flex-direction: column;
    padding: 30px 0;

    justify-content: center;
    border-bottom: 1.8px solid var(--text-main);
}

.process-card:nth-child(odd) {
    margin-right: auto;
}

.process-card:nth-child(2) {
    margin-left: auto !important;
    justify-content: flex-end !important;
}

.process-card p {
    font-size: 1rem;
    font-family: var(--ff-body);
    color: var(--text-main);
}

#featured {
    min-height: auto;
}

#featured .container {
    max-width: 90%;
}

#featured .featured-image {
    max-width: 100%;
}

#about {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    min-height: 80vh;
    scroll-margin-top: 40px;
}

#about .dev-profile {
    display: flex;
    flex-direction: row;
    justify-content: space-between; 
    align-items: center;            
    max-width: 80%;              
    margin: 0 auto;
    gap: 30px;
}

.dev-profile .about-text {                 
    text-align: left;
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.about-text p a {
    color: var(--main-yellow);
    filter: brightness(90%);
    text-decoration: none;
}

.dev-profile .about-image {
    display: flex;
    justify-content: center;
}

.dev-profile .about-image img {
    width: clamp(210px, 240px, 36vw);
    aspect-ratio: 1 / 1;
    object-fit: cover;
    border-radius: 50%;
    border: 3px solid var(--text-main);
    transition: all 0.3s ease;
}

.about-image img:hover {
    transform: translateY(-10px) !important;
}


#stats {
    min-height: 20vh;
    background-color: var(--header-main) !important; /* Important flag must be kept. Stats background defaults to pure white without important flag. */

    display: flex;
    flex-direction: column;
    justify-content: center;
    user-select: none;
}

.stats-row {
    display: flex;
    width: max-content;
    animation: marquee-slide 25s linear infinite;
    overflow: hidden;
}

.stats-group {
    display: flex;
    justify-content: space-around;
    align-items: center;
    gap: 100px;
    padding-right: 100px;
}

@keyframes marquee-slide {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-50%); /* Snaps back seamlessly exactly halfway */
    }
}

.stats-row h3 {
    white-space: nowrap;
    color: var(--main-white);
    margin: 0;
}

.stats-row i {
    font-size: 36px;
    color: var(--main-yellow);
}

#faqs {
    padding-bottom: 50px;
}

.faq-container {
    gap: 0;
}

.faq-card, #packages-page .package-card {
  border-bottom: 1px solid #eee;
  border-radius: 7px;
  transition: all 0.3s ease;
  padding: 10px 0 10px 20px;
  width: 100%;
}

#packages-page .package-card {
    background-color: var(--main-white);
    box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.02);
    padding-right: 20px;
    margin-top: 50px;
}

#packages-page #business .package-card {
    background-color: #efefef;
}

#packages-page .package-card p {
    padding: 0 0 30px 20px;
}

#packages-page .package-card li {
    list-style: disc;
}

#packages-page .package-card .package-answer {
    max-width: 90%;
}

.faq-card:hover {
    background-color: #e4e4e4;
}

.faq-card:last-child, #packages-page .package-card:last-child {
    border: none;
}

.faq-card.active {
    background-color: #e6e6e6;
}

.faq-question, #packages-page .package-card .package-question {
    width: 100%;
    padding: 20px;

    background: none;
    border: none;
    outline: none;
    
    text-align: left;
    font-size: 1.2rem;
    font-weight: 600;
    
    cursor: pointer;
    display: flex !important;
    justify-content: space-between;
    align-items: center;
    
    transition: 0.3s;
    user-select: none;
}

.faq-question::after, .package-question::after {
    content: '+';
    font-size: 1.5rem;
    background-color: var(--main-yellow);
    border-radius: 50px;
    
    width: 40px;
    height: 40px;
    aspect-ratio: 1 / 1;

    display: flex;
    justify-content: center;
    align-items: center;

    color: var(--header-main);
    transition: all 0.3s ease;
}

.faq-card.active .faq-question::after, .package-card.active .package-question::after {
    transform: rotate(45deg);
}

.faq-answer, #packages-page .package-card .package-answer {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease-out;
}

.faq-answer p {
    padding: 0 0 20px 20px;
    max-width: 95%;
}

.faq-answer p a {
    color: var(--main-yellow);
    filter: brightness(80%);
}

#final {
    min-height: 30vh;
    padding-bottom: 75px;
}

#final h2 {
    padding-bottom: 20px;
}

#final .container {
    max-width: none;
}

.legal-page h2 {
    padding-bottom: 20px;
}

.legal-page p:not(#hero p) {
    max-width: 80% !important;
}

.legal-page ul.legal-points {
    display: flex;
    flex-direction: column;
    gap: 50px;
    padding-bottom: 75px;
}

.legal-points li {
    font-size: 1rem;
    font-family: var(--ff-body);
}

footer {
    min-height: 400px;
    background-color: #1a1919;
    padding: 60px 0 10px 0;
}

footer .container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

footer .intro {
    display: flex;
    flex-direction: column;

    max-width: 550px;
    gap: 10px;
    margin-top: -75px;
}

footer .intro h2 {
    padding-bottom: 0;
    display: flex;
    margin-right: auto;
    width: 100%;
}

footer .intro h2 img {
    max-width: 260px;
    margin-left: -50px;
}

footer .intro p {
    font-size: clamp(0.9rem, 2vw, 1.1rem);
    font-family: var(--ff-body);
    color: var(--main-white);
    margin: -50px 0 0 0;
    padding: 0;
}

footer .footer-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    max-width: 90% !important;
}

.footer-container .footer-links {
    display: flex;
    flex-direction: row;
    gap: 50px;
}

.footer-links .footer-col {
    display: flex;
    flex-direction: column;
    margin: 0;
}

.footer-col h3 {
    font-size: clamp(1.2rem, 2vw, 1.4rem) !important;
    font-family: var(--ff-header);
    color: var(--main-yellow);

    margin: 0 0 10px 0;
    padding: 0;
    text-align: center;
}

.footer-col ul {
    display: flex !important;
    flex-direction: column;

    gap: 12px;
    margin: 0;
    padding: 0;
    list-style: none;
}

.footer-col ul li {
    text-align: center;
}

.footer-col ul li a {
    font-family: var(--ff-body);
    color: #aeaeae;

    margin: 0;
    transition: all 0.3s ease;
    text-decoration: none;
    white-space: nowrap;
}

.footer-col ul li a:hover {
    color: var(--main-white);
}

footer .footer-bottom {
    margin: 0;
    padding: 30px 0;
    width: 80%;
    display: flex !important;
    justify-content: space-between !important;
    align-items: center;

    border-top: 1px solid #4e4e4e;
}

.footer-bottom p {
    font-size: 0.9rem;
    font-family: var(--ff-body);
    color: #676767;
}

.popup-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    
    opacity: 0;
    visibility: hidden;
    pointer-events: none; 
    transition: opacity 0.4s ease, visibility 0.4s;
}

.popup-overlay.active {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

.popup-content {
    background: white;
    padding: 40px;
    border-radius: 15px;
    transform: translateY(20px) scale(0.95); 
    transition: transform 0.4s cubic-bezier(0.165, 0.84, 0.44, 1);
    max-width: 90%;
}

.popup-overlay.active .popup-content {
    transform: translateY(0) scale(1);
}

.popup-content h4 {
    font-size: clamp(1rem, 2vw, 1.1rem);
    font-family: var(--ff-header);
    color: var(--text-main);
    margin: 0;
}

.popup-content p {
    font-size: 1rem;
    font-family: var(--ff-body);
}

#quote-form {
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.quote-first, .quote-second {
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.quote-group {
    display: flex;
    align-items: center;
    gap: 20px;
}

.quote-second .quote-group:first-child {
    display: flex;
    flex-direction: row !important;
}

input[type="text"],
input[type="email"] {
    width: 70%;
    padding: 6px 8px;
    height: 40px;
    border: 1px solid #ddd;
    border-radius: 8px;
    background-color: #f9f9f9;
    font-family: var(--ff-body);
    font-size: 1rem;
}

.popup-content select[name="project_goal"],
.popup-content select[name="project_budget"] {
    width: 50% !important;
    padding: 6px 6px;
    height: 40px;
    border: 1px solid #ddd;
    border-radius: 8px;
    background-color: #f9f9f9;
    color: #404040;
    font-family: var(--ff-body);
    font-size: clamp(0.9rem, 2vw, 1rem);

    display: flex;
    flex-direction: row !important;
}

.popup-content input:focus {
    outline: none;
    border-color: #f1f10e;
    background-color: #fff;
}

.popup-content button.close-btn {
    background-color: var(--main-yellow);
    box-shadow: 5px 10px 20px rgba(0,0,0,0.1);
    border-radius: 50px;
    border: none;
    font-size: 24px;
    padding: 8px 16px;
    transition: all 0.3s ease;
    cursor: pointer;
}

.popup-content button.close-btn:hover {
    transform: scale(1.15) rotate(-32deg);
    filter: brightness(90%);
}

.packages-page section:not(#hero) {
    min-height: auto;
    padding-bottom: 50px;
}

#packages-page #breakdown .container {
    gap: 0;
}

#packages-page #breakdown .breakdown-item {
    gap: 0 !important;
}

#packages-page #breakdown .process-divider {
    margin: 50px 0;
    height: 2px !important;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.1);
}